Skip to content

Update Endpoint

PATCH
/api/v1/envelopes/{envelope_id}
curl --request PATCH \
--url https://example.com/api/v1/envelopes/1 \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "target_amount": 1, "due_date": "2026-04-15", "interval_months": 1, "color": "example", "archived": true, "funding_schedule_id": 1 }'
envelope_id
required
Envelope Id
integer
Media typeapplication/json
EnvelopeUpdate
object
name
Any of:
string
>= 1 characters <= 100 characters
target_amount
Any of:
number
> 0
due_date
Any of:
string format: date
interval_months
Any of:
integer
>= 1 <= 120
color
Any of:
string
<= 20 characters
archived
Any of:
boolean
funding_schedule_id
Any of:
integer

Example generated

{
"name": "example",
"target_amount": 1,
"due_date": "2026-04-15",
"interval_months": 1,
"color": "example",
"archived": true,
"funding_schedule_id": 1
}

Successful Response

Media typeapplication/json
EnvelopeOut
object
id
required
Id
integer
user_id
required
User Id
integer
name
required
Name
string
target_amount
required
Target Amount
string
due_date
required
Due Date
string format: date
interval_months
required
Any of:
integer
color
required
Any of:
string
archived
required
Archived
boolean
funding_schedule_id
Any of:
integer
effective_schedule
Any of:
EffectiveScheduleOut

The pay schedule an envelope or goal actually uses: its pick, else the user’s default.

object
id
required
Id
integer
name
required
Name
string
is_default
required
Is Default
boolean
funded_amount
Funded Amount
string
default: 0
remaining_amount
Remaining Amount
string
default: 0
suggested_monthly
Suggested Monthly
string
default: 0
paydays_remaining
Any of:
integer
suggested_per_payday
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example

{
"funded_amount": "0",
"remaining_amount": "0",
"suggested_monthly": "0"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}